The Open Group Base Specifications Issue 6
IEEE Std 1003.1, 2004 Edition
Copyright © 2001-2004 The IEEE and The Open Group, All Rights reserved.

#### NAME

> sigpending - examine pending signals

#### SYNOPSIS

> ``[CX] #include <signal.h>
> int sigpending(sigset_t *`set`);``
> `
> `

#### DESCRIPTION

> The sigpending() function shall store, in the location referenced by the set argument, the set of signals that are blocked from delivery to the calling thread and that are pending on the process or the calling thread.

#### RETURN VALUE

> Upon successful completion, sigpending() shall return 0; otherwise, -1 shall be returned and errno set to indicate the error.

#### ERRORS

> No errors are defined.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> None.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> sigaddset(), sigdelset(), sigemptyset(), sigfillset(), sigismember(), sigprocmask(), the Base Definitions volume of IEEE Std 1003.1-2001, <signal.h>

#### CHANGE HISTORY

> First released in Issue 3.

#### Issue 5

> The DESCRIPTION is updated for alignment with the POSIX Threads Extension.

#### Issue 6

> The SYNOPSIS is marked CX since the presence of this function in the <signal.h> header is an extension over the ISO C standard.

End of informative text.

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
[ Main Index | XBD | XCU | XSH | XRAT ]